package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapSpesialis;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapGiziVO extends BaseTransactionVO{
	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@Column(name = "riwayatDiet")
	@Caption(value = "Riwayat Diet")
	private String riwayatDiet;

	@Column(name = "riwayatDiagnosa")
	@Caption(value = "Riwayat Diagnosa")
	private String riwayatDiagnosa;

	@Column(name = "tujuan")
	@Caption(value = "Tujuan")
	private String tujuan;

	@Column(name = "target")
	@Caption(value = "Target")
	private String target;
	
	@Column(name = "tglPerjanjian")
	@Caption(value = "Tgl Perjanjian")
	private Date tglPerjanjian;

	@ManyToOne
	@JoinColumn(name = "ObjectSpesialisFk")
	@NotNull(message = "Spesialis tidak boleh kosong")
	private PapSpesialisVO papSpesialis;

	@Column(name = "keteranganLainnya")
	@Caption(value = "Keterangan Lainnya")
	private String keteranganLainnya;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public String getRiwayatDiet() {
		return riwayatDiet;
	}

	public void setRiwayatDiet(String riwayatDiet) {
		this.riwayatDiet = riwayatDiet;
	}

	public String getRiwayatDiagnosa() {
		return riwayatDiagnosa;
	}

	public void setRiwayatDiagnosa(String riwayatDiagnosa) {
		this.riwayatDiagnosa = riwayatDiagnosa;
	}

	public String getTujuan() {
		return tujuan;
	}

	public void setTujuan(String tujuan) {
		this.tujuan = tujuan;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public Date getTglPerjanjian() {
		return tglPerjanjian;
	}

	public void setTglPerjanjian(Date tglPerjanjian) {
		this.tglPerjanjian = tglPerjanjian;
	}

	public PapSpesialisVO getPapSpesialis() {
		return papSpesialis;
	}

	public void setPapSpesialis(PapSpesialisVO papSpesialis) {
		this.papSpesialis = papSpesialis;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	
}
